Bug 448389 - tinyerp needs to depend on mx.386
tinyerp needs to depend on mx.386
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tinyerp (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 08:39 EDT by Tobias Oed
Modified: 2008-07-02 02:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.2.2-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 02:33:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tobias Oed 2008-05-26 08:39:58 EDT
Description of problem:
Tiny needs mx.i386

Version-Release number of selected component (if applicable):
tinyerp-4.2.2-1.fc9.noarch

How reproducible:
100%

Steps to Reproduce:
1. yum install tiny
2. tinyerp-client
3. use it and get non working modules:
  
Actual results:
Traceback (most recent call last):
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/modules/gui/window/tree.py",
line 200, in sig_open
    self.sig_action(widget, 'tree_but_open' )
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/modules/gui/window/tree.py",
line 195, in sig_action
    'ids':ids, 'report_type':report_type, 'window': self.window}, context=ctx)
  File "/usr/lib/python2.5/site-packages/tinyerp-client/modules/action/main.py",
line 167, in exec_keyword
    self._exec_action(action, data, context=context)
  File "/usr/lib/python2.5/site-packages/tinyerp-client/modules/action/main.py",
line 121, in _exec_action
    limit=datas['limit'], auto_refresh=datas['auto_refresh'])
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/modules/gui/window/__init__.py", line
57, in create
    auto_refresh=auto_refresh)
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/modules/gui/window/form.py",
line 84, in __init__
    window=self.window, limit=limit, readonly=bool(auto_refresh))
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/widget/screen/screen.py", line
103, in __init__
    view = self.add_view_id(view_id, view_type[0])
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/widget/screen/screen.py", line
241, in add_view_id
    toolbar=view.get('toolbar', False), context=context)
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/widget/screen/screen.py", line
266, in add_view
    from widget.view.widget_parse import widget_parse
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/widget/view/widget_parse.py",
line 34, in <module>
    import form_gtk
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/widget/view/form_gtk/__init__.py",
line 1, in <module>
    from parser import *
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/widget/view/form_gtk/parser.py", line
659, in <module>
    import float_time
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/widget/view/form_gtk/float_time.py",
line 39, in <module>
    from mx.DateTime import DateTimeDelta
ImportError: No module named mx.DateTime

Expected results:
modules work without warnings

Additional info:
yum install mx.i386
fixes the issue. It needs to be on the dep list.
Comment 1 Dan Horák 2008-05-26 09:22:41 EDT
only TinyERP >= 4.2 are affected, this means only F >= 9

updated packages are being built
Comment 2 Fedora Update System 2008-05-26 09:29:22 EDT
tinyerp-4.2.2-2.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-05-28 22:43:50 EDT
tinyerp-4.2.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tinyerp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4527
Comment 4 Tobias Oed 2008-05-30 11:13:03 EDT
That was quick! Thanks.
In the meantime I also found out that tiny needs python-matplotlib to avoid the
following:

ERROR:common.message:MSG Can not generate graph !: Traceback (most recent call
last):
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/widget/view/graph_gtk/parser.py",
line 64, in parse
    import graph
  File
"/usr/lib/python2.5/site-packages/tinyerp-client/widget/view/graph_gtk/graph.py", line
39, in <module>
    import tinygraph
  File "/usr/lib/python2.5/site-packages/tinyerp-client/tinygraph/__init__.py",
line 1, in <module>
    import matplotlib
ImportError: No module named matplotlib

cheers
Tobias Oed

Comment 5 Fedora Update System 2008-07-02 02:33:04 EDT
tinyerp-4.2.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.